import { Injectable } from '@angular/core';
import { Headers, Http, Response, URLSearchParams } from '@angular/http';
// import { Observable } from 'rxjs';
import 'rxjs/Rx';


@Injectable()
export class AuthService {
	
	constructor(private http: Http) {}

	register(data) {
		console.log(data)
		let headers = new Headers();
		headers.append('Content-Type', 'application/json')
		return this.http.post(`http://localhost:3000/api/users`, JSON.stringify(data), { headers })
			.map((res: Response) => res.json());
	}
	signIn(data) {
		let headers = new Headers();
		let urlSearchParams = new URLSearchParams();
		urlSearchParams.append('username', data.username);
		urlSearchParams.append('password', data.password);
		let body = urlSearchParams.toString()
		headers.append('Content-Type', 'application/x-www-form-urlencoded')
		return this.http.post(`http://localhost:3000/api/login`, body, { headers })
			.map((res: Response) => res.json());
	}
}