import {Component, OnInit} from '@angular/core';
import {AuthService} from './auth.service';
import { FormControl, FormGroup } from '@angular/forms';

@Component({
  selector: 'app-logIn',
  templateUrl: './logIn.component.html',
  styleUrls: ['./logIn.component.css'],
  providers: [AuthService]
})


export class LogInComponent implements OnInit {
	user: FormGroup
	constructor(private AuthService: AuthService) { 
	}
 


  register() {
  	let data = {
	name: "bogweba2",
	username: "zalypka5",
	email: "test16@.com",
	password: "pass21",
	location: "ololo",
	role: "admin"
	}
  	this.AuthService.register(data)
  		.subscribe(arg => console.log(arg));
  }


  login(data) {
  	this.AuthService.signIn(data.value)
  		.subscribe(arg => console.log(arg));
  }
  ngOnInit() {
  	 this.user = new FormGroup({
    	password: new FormControl('pass'),
    	username: new FormControl('cham')
  });
  }

}
